<?php

namespace Drupal\document_ocr\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;

/**
 * Process Document OCR mapping tasks.
 *
 * @QueueWorker(
 *   id = "document_ocr",
 *   title = @Translation("Document OCR"),
 *   cron = {"time" = 90}
 * )
 */
class QueueProcessor extends QueueWorkerBase {

  /**
   * {@inheritdoc}
   */
  public function processItem($item) {
    $context = [];
    $item->queue_id = $this->getPluginId();
    \Drupal::service('document_ocr.batch')->process($item, $context);
  }

}
