<?php

namespace Drupal\document_ocr\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines DocumentOcrProcessor annotation object.
 *
 * Plugin Namespace: Plugin\document_ocr\Plugin\document_ocr\processor.
 *
 * @see \Drupal\document_ocr\Plugin\ProcessorManager
 * @see plugin_api
 *
 * @Annotation
 */
class DocumentOcrProcessor extends Plugin {

  /**
   * Plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * Plugin name.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $name;

  /**
   * Plugin support file extensions.
   *
   * @var string
   */
  public $extensions;

  /**
   * Indicates if plugin requires credentials.
   *
   * @var bool
   */
  public $require_credentials = FALSE;

}
