<?php

namespace Drupal\document_ocr\Annotation;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines DocumentOcrTransformer annotation object.
 *
 * Plugin Namespace: Plugin\document_ocr\Plugin\document_ocr\transformer.
 *
 * @see \Drupal\document_ocr\Plugin\TransformerManager
 * @see plugin_api
 *
 * @Annotation
 */
class DocumentOcrTransformer extends Plugin {

  /**
   * Plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * Plugin name.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $name;

  /**
   * Plugin description.
   *
   * @var string
   */
  public $description;

  /**
   * Indicates if plugin requires credentials.
   *
   * @var bool
   */
  public $require_credentials = FALSE;

}
