<?php

namespace Drupal\document_ocr\Controller;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\EntityListBuilder;
use Drupal\Core\Link;

/**
 * Document OCR import list builder.
 *
 * @ingroup document_ocr
 */
class ImportListBuilder extends EntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $header['mapping'] = $this->t('Mapping');
    return $header + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    /* @var $entity \Drupal\document_ocr\Entity\Import */
    $row['mapping'] = $entity->getMapping();
    return $row + parent::buildRow($entity);
  }

}
